
QGIS Application - Bug report #15228

style dock: values of raster's layer rendering options not properly restored

2016-07-06 07:47 PM - Mathieu Pellerin - nIRV

Status: Closed

Priority: High

Assignee: Martin Dobias

Category: GUI

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 23165

Description

Steps to reproduce:

    1. Create a new project

    2. Add a raster layer (1-band, 3-band, it doesn't matter)

    3. Open the style dock

    4. Change the brightness, saturation, and contrast layer rendering values (max out the sliders, it's easier to see)

    5. Switch to the transparency tab/panel

    6. Go back to symbology tab/panel, notice the layer rendering options' sliders are restored but spinbox values are set to 0

Associated revisions

Revision 612043cd - 2016-07-07 02:01 PM - Martin Dobias

Style dock: properly restore values in spinboxes for brightness etc (fixes #15228)

History

#1 - 2016-07-07 03:15 AM - Martin Dobias

- Assignee changed from Nathan Woodrow to Martin Dobias

#2 - 2016-07-07 05:02 AM - Martin Dobias

- Status changed from Open to Closed

Fixed in changeset commit:"612043cd0243e1cf002f26cd3076d813e441f26a".
